package com.zehong.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

@Configuration
@Data
public class NettyClientConfig {

    /**
     * netty 客户端服务器地址
     */
    @Value("confirmClient.host")
    private String host;

    /**
     * netty 客户端端口
     */
    @Value("${confirmClient.port}")
    private int port;
}
