package com.zehong.netty.decode;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import com.zehong.utils.DateTimeValueUtil;

/**
 * @author gengd
 * 信息单元时间日期解析
 */
public class DateTimeDecode {

    private Logger logger = LoggerFactory.getLogger(CauseDecode.class);

    private MsgDecode decode;

    /**
     * 日期时间
     */
    private String dateTime;

    public DateTimeDecode(MsgDecode decode){
        this.dateTime = decode.getMsgInfo().substring(8,28);
    }

    public void decodeDateTime(){
        //信息单元类型
        String ieType = dateTime.substring(0,2);
        //长度
        String length = dateTime.substring(2,6);
        //日期时间
        String dateTimeStr = DateTimeValueUtil.getDateTimeStr(dateTime.substring(6,20));
        logger.info("transmissionId:" + decode.getTransmissionId() + "时间日期： 信息单元类型："+ ieType +" 长度：" + length + "原因值：" + dateTimeStr);
    }




}
